Package org.apache.commons.daemon

# Interface DaemonContext

All Known Implementing Classes:
  `DaemonLoader.Context`

public interface DaemonContext
Defines a set of methods that a Daemon instance can use to communicate with the Daemon container.

Version:
  $Id: DaemonContext.java 1204006 2011-11-19 16:09:15Z ggregory $
Author:
  Pier Fumagalli

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getArguments()`
Returns an array of `String` arguments supplied by the environment.
`DaemonController`
`getController()`
Returns `DaemonController` object that can be used to control the `Daemon` instance that this `DaemonContext` is passed to.

## Method Details

### getController

DaemonController getController()
Returns `DaemonController` object that can be used to control the `Daemon` instance that this `DaemonContext` is passed to.

### getArguments

String[] getArguments()
Returns an array of `String` arguments supplied by the environment. corresponding to the array of arguments given in the `public static void main()` method used as an entry point to most other java programs.